Package org.snpsift.annotate.mem.variantTypeCounter

# Class VariantTypeCounters

java.lang.Object
org.snpsift.annotate.mem.variantTypeCounter.VariantTypeCounters

public class VariantTypeCounters extends Object
Variant type counters for each chromosome

## Constructor Summary

Constructors
Constructor
Description
`VariantTypeCounters(boolean verbose)`
`VariantTypeCounters(Fields fields, boolean verbose)`

## Method Summary

Modifier and Type
Method
Description
`void`
`count(String vcfFileName)`
Count the number of variants in a VCF file
`void`
`count(org.snpeff.fileIterator.VcfFileIterator vcfFile)`
`void`
`count(org.snpeff.vcf.VcfEntry vcfEntry)`
Count the number of variants in a VCF file
`VariantTypeCounter`
`get(String chr)`
`Fields`
`getFields()`
`static VariantTypeCounters`
`load(String fileName)`
Load from file
`void`
`save(String fileName)`
`void`
`setVerbose(boolean verbose)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### VariantTypeCounters

public VariantTypeCounters(boolean verbose)

### VariantTypeCounters

public VariantTypeCounters(Fields fields, boolean verbose)

## Method Details

### load

public static VariantTypeCounters load(String fileName)
Load from file

### count

public void count(String vcfFileName)
Count the number of variants in a VCF file

### count

public void count(org.snpeff.fileIterator.VcfFileIterator vcfFile)

### count

public void count(org.snpeff.vcf.VcfEntry vcfEntry)
Count the number of variants in a VCF file

### get

public VariantTypeCounter get(String chr)

### getFields

public Fields getFields()

### save

public void save(String fileName)

### setVerbose

public void setVerbose(boolean verbose)

### toString

public String toString()

Overrides:
  `toString` in class `Object`